Subject: Re: bug#37492: GUIXSD 1.0.1 install error

From: RAUL H C LOPES <[email-masked]>
Date: Thu, 17 Oct 2019 12:26:12 +0100

Hi,

A bug seems to have crept in after a guix update 3 weeks ago: guix 
suspends my node if it decides that there is no activity.

Raul
On 29/09/2019 13:00, Marius Bakke wrote:
> RAUL H C LOPES <[email-masked]> writes:
>
>> Hi Marius,
>>
>> I've managed to install GuixSD by chossing  msdos instead of gpt.
>> Coincidence? Is the gpt setup tested?
> Can you share the steps required to reproduce the error?
>
>> I've running the system for a few days.
>>
>> I need now a good manual> I'm suffering for:
>>    - reconfigure stuff that is usually in /etc, like /etc/ssh/sshd_config;
> There is a good up-to-date manual here:
> <https://guix.gnu.org/manual/devel>.  Search for 'openssh-configuration'
> for examples on how to configure the SSH daemon.
>
>>    - running a make on an open source project who looks for linux libs
>> where debian would find them.
> Typically you would do something like `guix environment --ad-hoc
> gcc-toolchain make` to enter a shell environment where all the
> dependencies of the program you want to build are present.